MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OggStreamState Class Reference

`#include <OggStreamState.hxx>`

## Public Member Functions
| OggStreamState (int serialno)
| OggStreamState (ogg_page &page)
| Initialize a decoding #ogg_stream_state with the first page. More...
| ~OggStreamState ()
| operator ogg_stream_state & ()
void | Reinitialize (int serialno)
long | GetSerialNo () const
void | Reset ()
void | PacketIn (const ogg_packet &packet)
bool | PageOut (ogg_page &page)
bool | Flush (ogg_page &page)
bool | PageIn (ogg_page &page)
int | PacketOut (ogg_packet &packet)

## Detailed Description

Definition at line 31 of file OggStreamState.hxx.

## Constructor & Destructor Documentation

OggStreamState::OggStreamState | ( | int | serialno | ) |
| inline explicit

Definition at line 35 of file OggStreamState.hxx.

OggStreamState::OggStreamState | ( | ogg_page & | page | ) |
| inline explicit

Initialize a decoding #ogg_stream_state with the first page.

Definition at line 43 of file OggStreamState.hxx.

OggStreamState::~OggStreamState | ( |  | ) |
| inline

Definition at line 48 of file OggStreamState.hxx.

## Member Function Documentation

bool OggStreamState::Flush | ( | ogg_page & | page | ) |
| inline

Definition at line 79 of file OggStreamState.hxx.

long OggStreamState::GetSerialNo | ( |  | ) | const
| inline

Definition at line 60 of file OggStreamState.hxx.

OggStreamState::operator ogg_stream_state & | ( |  | ) |
| inline

Definition at line 52 of file OggStreamState.hxx.

void OggStreamState::PacketIn | ( | const ogg_packet & | packet | ) |
| inline

Definition at line 70 of file OggStreamState.hxx.

int OggStreamState::PacketOut | ( | ogg_packet & | packet | ) |
| inline

Definition at line 89 of file OggStreamState.hxx.

bool OggStreamState::PageIn | ( | ogg_page & | page | ) |
| inline

Definition at line 85 of file OggStreamState.hxx.

bool OggStreamState::PageOut | ( | ogg_page & | page | ) |
| inline

Definition at line 75 of file OggStreamState.hxx.

void OggStreamState::Reinitialize | ( | int | serialno | ) |
| inline

Definition at line 56 of file OggStreamState.hxx.

void OggStreamState::Reset | ( |  | ) |
| inline

Definition at line 64 of file OggStreamState.hxx.

The documentation for this class was generated from the following file:

- lib/xiph/OggStreamState.hxx